GET api/shop/products?transp={transp}&category_id={category_id}&seller_id={seller_id}&page={page}&rows={rows}&order={order}¤cy={currency}&lang={lang}&show_all={show_all}&queryId={queryId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| transp | string |
None. |
|
| category_id | integer |
None. |
|
| seller_id | integer |
None. |
|
| page | integer |
None. |
|
| rows | integer |
None. |
|
| order | string |
None. |
|
| currency | string |
None. |
|
| lang | string |
None. |
|
| show_all | string |
None. |
|
| queryId | string |
Default value is |
Body Parameters
VmShopProductsRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| category |
Category |
VmShopProductsRequestCategory |
None. |
| seller |
Seller |
VmShopProductsRequestSeller |
None. |
| pages |
Pagination |
VmShopProductsRequestPages |
None. |
| products |
Products |
VmShopProductsRequestProducts |
None. |
| lang |
Language for displaying information ru-RU | en-US |
string |
None. |
| show_all |
Show all products, including discontinued and out of stock 0 | 1 | true | false |
string |
None. |
Request Formats
application/json, text/json
Sample:
{
"category": {
"id": 1
},
"seller": {
"id": 1
},
"pages": {
"num": 1,
"rows": 1
},
"products": {
"order": "sample string 1",
"currency": "sample string 2"
},
"lang": "sample string 1",
"show_all": "sample string 2"
}
application/x-www-form-urlencoded
Sample:
Sample not available.
application/xml, text/xml
Sample:
<digiseller.request>
<category>
<id>1</id>
</category>
<seller>
<id>1</id>
</seller>
<pages>
<num>1</num>
<rows>1</rows>
</pages>
<products>
<order>sample string 1</order>
<currency>sample string 2</currency>
</products>
<lang>sample string 1</lang>
<show_all>sample string 2</show_all>
</digiseller.request>
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.